## visad.util
Class SliderChangeEvent

    java.lang.Object
      visad.util.SliderChangeEvent

public class SliderChangeEvent
extends Object

The event that occurs when a slider is changed

Since:
  Visad Utility Library v0.7.1

Field Summary
`static int` `LOWER_CHANGE` The constant indicating a lower bound change
`int` `type` The type of this event
`static int` `UPPER_CHANGE` The constant indicating an upper bound change
`static int` `VALUE_CHANGE` The constant indicating a value change

Constructor Summary
`(package private)` `SliderChangeEvent(int type, float val)` Construct a new event with the given type and value
`(package private)` `SliderChangeEvent(String string, int type, float val)` Construct a new event with the given type, value, and description string

Method Summary
`static String` `getTypeString(int type)` Return the string representation of a specific type
`String` `toString()` Return a string description of this object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### type

    public int type

  The type of this event

### VALUE_CHANGE

    public static final int VALUE_CHANGE

  The constant indicating a value change

  See Also:
    Constant Field Values

### LOWER_CHANGE

    public static final int LOWER_CHANGE

  The constant indicating a lower bound change

  See Also:
    Constant Field Values

### UPPER_CHANGE

    public static final int UPPER_CHANGE

  The constant indicating an upper bound change

  See Also:
    Constant Field Values

Constructor Detail

### SliderChangeEvent

    SliderChangeEvent(int type,
                      float val)

  Construct a new event with the given type and value

### SliderChangeEvent

    SliderChangeEvent(String string,
                      int type,
                      float val)

  Construct a new event with the given type, value, and description string

Method Detail

### getTypeString

    public static String getTypeString(int type)

  Return the string representation of a specific type

### toString

    public String toString()

  Return a string description of this object